gtkmm 2.4: Gtk::TreeDragDest Class Reference

Main Page Widgets Namespaces Book

# Gtk::TreeDragDest Class Reference
[TreeView Classes]

Inheritance diagram for Gtk::TreeDragDest:

[legend]
List of all members.

## Public Member Functions
bool | drag_data_received (const TreeModel::Path& dest, const SelectionData& selection_data)
| Asks the Gtk::TreeDragDest to insert a row before the path dest , deriving the contents of the row from selection_data .
const GtkTreeDragDest* | gobj () const
| Provides access to the underlying C GObject.
GtkTreeDragDest* | gobj ()
| Provides access to the underlying C GObject.
bool | row_drop_possible (const TreeModel::Path& dest_path, const SelectionData& selection_data) const
| Determines whether a drop is possible before the given dest_path , at the same depth as dest_path .
virtual | ~TreeDragDest ()
## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
## Protected Member Functions
virtual bool | drag_data_received_vfunc (const TreeModel::Path& dest, const SelectionData& selection_data)
virtual bool | row_drop_possible_vfunc (const TreeModel::Path& dest, const SelectionData& selection_data) const
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Gtk::TreeDragDest> | wrap (GtkTreeDragDest* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::TreeDragDest::~TreeDragDest | ( |  | ) | `[virtual]`

## Member Function Documentation

static void Gtk::TreeDragDest::add_interface | ( | GType | gtype_implementer | ) | `[static]`

bool Gtk::TreeDragDest::drag_data_received | ( | const TreeModel::Path& | dest,
|  | const SelectionData& | selection_data
| ) |

  | Asks the Gtk::TreeDragDest to insert a row before the path dest , deriving the contents of the row from selection_data . If dest is outside the tree so that inserting before it is impossible, `false` will be returned. Also, `false` may be returned if the new row is not created for some model-specific reason. Should robustly handle a dest no longer found in the model! Parameters:
  | dest | Row to drop in front of.
  | selection_data | Data to drop.
Returns: Whether a new row was created before position dest .

virtual bool Gtk::TreeDragDest::drag_data_received_vfunc | ( | const TreeModel::Path& | dest,
|  | const SelectionData& | selection_data
| ) | `[protected, virtual]`

const GtkTreeDragDest* Gtk::TreeDragDest::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::Interface. Reimplemented in Gtk::ListStore, and Gtk::TreeStore.

GtkTreeDragDest* Gtk::TreeDragDest::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::Interface. Reimplemented in Gtk::ListStore, and Gtk::TreeStore.

bool Gtk::TreeDragDest::row_drop_possible | ( | const TreeModel::Path& | dest_path,
|  | const SelectionData& | selection_data
| ) | const

  | Determines whether a drop is possible before the given dest_path , at the same depth as dest_path . i.e., can we drop the data in selection_data at that location. dest_path does not have to exist; the return value will almost certainly be `false` if the parent of dest_path doesn't exist, though. Parameters:
  | dest_path | Destination row.
  | selection_data | The data being dragged.
Returns: `true` if a drop is possible before dest_path .

virtual bool Gtk::TreeDragDest::row_drop_possible_vfunc | ( | const TreeModel::Path& | dest,
|  | const SelectionData& | selection_data
| ) | const`[protected, virtual]`

## Friends And Related Function Documentation

Glib::RefPtr<Gtk::TreeDragDest> wrap | ( | GtkTreeDragDest* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

  | Parameters:
  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.
Returns: A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- treedragdest.h